import type { Redirects } from './types';
import type { Template } from "../../../../core/template";
import { AsyncSeriesHook, AsyncSeriesWaterfallHook } from 'tapable';
export declare function hooks(name: string): {
    Page: AsyncSeriesHook<[Template], import("tapable").UnsetAdditionalOptions>;
    Release: AsyncSeriesWaterfallHook<[Redirects | null], import("tapable").UnsetAdditionalOptions>;
};
declare const getHooks: (program: object | undefined) => {
    Page: AsyncSeriesHook<[Template], import("tapable").UnsetAdditionalOptions>;
    Release: AsyncSeriesWaterfallHook<[Redirects | null], import("tapable").UnsetAdditionalOptions>;
}, withHooks: <T extends ClassType<any>>(Target: T, { kind }: ClassDecoratorContext<abstract new (...args: any) => any>) => T;
export { getHooks, withHooks };
